pages:
  needs: []
  image: node:14-alpine
  stage: deploy
  script:
    - "npm install"
    - "npm run build"
    - "apk add parallel brotli gzip"
    - "parallel --will-cite \"gzip -9 -k {} && brotli -k {}\" ::: ./public/**/*.*"
  artifacts:
    paths:
      - public
  only:
    - master
